#!/bin/sh

#------------------------------------------------------------------------------#
# Execute Xmqqstab - Display statistics for a list of WebSphere MQ local queue #
#                                                                              #
# (c) Copyright IBM Corp. 2010, all rights reserved.                           #
#------------------------------------------------------------------------------#

# Export MQ_COMMAND_TOOLS environment variable to the path where your install the com.ibm.xmq.utilities.jar JAR file.
export MQ_COMMAND_TOOLS=

# AIX & WMQ V6 (requires com.ibm.mq.pcf-6.1.jar which is shipped in SupportPac MS0B)
#java -Djava.library.path=/usr/mqm/java/lib64 -cp /usr/mqm/java/lib/com.ibm.mq.jar:$MQ_COMMAND_TOOLS/com.ibm.mq.pcf-6.1.jar:$MQ_COMMAND_TOOLS/com.ibm.xmq.utilities.jar com.ibm.xmq.utilities.Xmqqstab $*

# AIX & WMQ V7 
#java -Djava.library.path=/usr/mqm/java/lib64 -cp /usr/mqm/java/lib/com.ibm.mq.jar:/usr/mqm/java/lib/com.ibm.mq.pcf.jar:$MQ_COMMAND_TOOLS/com.ibm.xmq.utilities.jar com.ibm.xmq.utilities.Xmqqstab $*

# Linux, other UNIX & WMQ V6 (requires com.ibm.mq.pcf-6.1.jar which is shipped in SupportPac MS0B). If using a 64-bits JVM update /opt/mqm/java/lib to /opt/mqm/java/lib/lib64.
#java -Djava.library.path=/opt/mqm/java/lib -cp /opt/mqm/java/lib/com.ibm.mq.jar:$MQ_COMMAND_TOOLS/com.ibm.mq.pcf-6.1.jar:$MQ_COMMAND_TOOLS/com.ibm.xmq.utilities.jar com.ibm.xmq.utilities.Xmqqstab $*

# Linux, other UNIX & WMQ V7. If using a 64-bits JVM update /opt/mqm/java/lib to /opt/mqm/java/lib/lib64.
#java -Djava.library.path=/opt/mqm/java/lib -cp /opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/com.ibm.mq.pcf.jar:$MQ_COMMAND_TOOLS/com.ibm.xmq.utilities.jar com.ibm.xmq.utilities.Xmqqstab $*

# To use SSL update and add the following four options on the above java command lines.
#     -Djavax.net.ssl.keyStore=<path and name of keystore>
#     -Djavax.net.ssl.keyStorePassword=<keystore password>
#     -Djavax.net.ssl.trustStore=<path and name of trustore>
#     -Djavax.net.ssl.trustStorePassword=<trustore password>